Make WordPress Core

Opened 7 months ago

Closed 5 months ago

Last modified 5 months ago

#59077 closed enhancement (fixed)

Update the polyfill scripts bundled from `polyfill-library`

Reported by: desrosj's profile desrosj Owned by: desrosj's profile desrosj
Milestone: 6.4 Priority: normal
Severity: normal Version:
Component: External Libraries Keywords: good-first-bug has-patch
Focuses: Cc:

Description

The polyfill-library dependency has an update. The latest version is 4.8.0.

The wp-polyfill-node-contains and wp-polyfill-dom-rect WP Script handles are built from files within this dependency. They're no longer used in Core, but still kept up to date as a courtesy.

All changes can be found on GitHub: https://github.com/JakeChampion/polyfill-library/compare/v4.7.0...v4.8.0.

Change History (14)

This ticket was mentioned in PR #5003 on WordPress/wordpress-develop by @rajinsharwar.


7 months ago
#1

  • Keywords has-patch added

Updating the polyfill-library to 4.8.0

Trac ticket: https://core.trac.wordpress.org/ticket/59077

This ticket was mentioned in PR #5215 on WordPress/wordpress-develop by @hrshahin.


5 months ago
#2

Trac ticket: https://core.trac.wordpress.org/ticket/59077

Description:

Update polyfill-library 4.7.0 to 4.8.0 , wp-polyfill-node-contains 4.6.0 to 4.7.0 and wp-polyfill-dom-rect 4.6.0 to 4.7.0

This ticket was mentioned in Slack in #core by oglekler. View the logs.


5 months ago

#4 @oglekler
5 months ago

This ticket was discussed during bug scrub.

@hrshahin and @rajinsharwar, you have feedback on GitHub, please follow it. We have 5 days before Beta 1 and if this change is simple enough to be in trunk before this time, otherwise we will need to reschedule it to the next milestone.

Add props to @mukesh27

Last edited 5 months ago by oglekler (previous) (diff)

This ticket was mentioned in PR #5270 on WordPress/wordpress-develop by @Dharm1025.


5 months ago
#5

PR bumps polyfill-library from 4.7.0 to 4.8.0

Trac ticket: https://core.trac.wordpress.org/ticket/59077

#6 @mukesh27
5 months ago

The PR 5003 is so closed per @desrosj feedback.

@dharm1025 address that feedback in his PR.

#7 @hrshahin
5 months ago

Hey @oglekler, I have already fixed all the feedback on Github.

Last edited 5 months ago by hrshahin (previous) (diff)

@desrosj commented on PR #5215:


5 months ago
#8

Thanks @mdhrshahin20! There was one small change I just made. Looks ready to commit.

#9 @desrosj
5 months ago

  • Owner set to desrosj
  • Resolution set to fixed
  • Status changed from new to closed

In 56646:

External Libraries: Update the polyfill-library package.

This updates the wp-polyfill-node-contains and 'wp-polyfill-dom-rect scripts to the latest version, 4.8.0.

These scripts are no longer used by WordPress Core, but are kept up to date as a courtesy.

Props rajinsharwar, hrshahin, oglekler.
Fixes #59077.

#13 @desrosj
5 months ago

@dharm1025 I missed your props on accident when making the commit. I've gone and added it manually to the Props tool so that it shows on your .org profile, and will be included in the release credits!

@hrshahin commented on PR #5215:


5 months ago
#14

Thank you @desrosj .

Note: See TracTickets for help on using tickets.